Bug 1252275 - [QE] Rewrite options for Remoting Login Module
[QE] Rewrite options for Remoting Login Module
Status: CLOSED CURRENTRELEASE
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity high
: post-GA
: ---
Assigned To: Zach Rhoads
Ondrej Lukas
https://access.stage.redhat.com/docum...
: Documentation, Triaged
Depends On:
Blocks: 1233012
  Show dependency treegraph
 
Reported: 2015-08-11 02:13 EDT by Ondrej Lukas
Modified: 2015-10-20 08:51 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-20 08:51:24 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ondrej Lukas 2015-08-11 02:13:23 EDT
Book: Login Module Reference
Revision: n_1575841_login-module-reference_version_6.4_edition_1.0_release_0-revision_6701191
Section: LOGIN MODULES FOR EJBS AND REMOTING

Issue description:
Options defined for REMOTING LOGIN MODULE in section LOGIN MODULES FOR EJBS AND REMOTING should be rewritten. Options password-stacking, principalClass and unauthenticatedIdentity are defined in AbstractServerLoginModule which is parent of RemotingLoginModule. Moreover description of option "useClientCert" is missing for Remoting Login Module. It should be added.

Suggestions for improvement:
1) Add AbstractServerLoginModule as parent for Remoting Login Module.
2) Remove options password-stacking, principalClass and unauthenticatedIdentity from RemotingLoginModule.
3) Add description of "useClientCert". Ask developers or PM for details.
Comment 5 Ondrej Lukas 2015-08-21 03:15:50 EDT
Verification failed in revision "n_1601531_login-module-reference_version_6.4_edition_1.0_release_0-revision_6805721" of https://access.stage.redhat.com/documentation/en/red-hat-jboss-enterprise-application-platform/version-6.4/login-module-reference

Fixes are correct, but there are still two small issues:
1) default value of useClientCert is missing - it should be "false"
2) there is typo in word "subtitute", change it to "substitute"
Comment 8 Jan Tymel 2015-08-26 05:18:06 EDT
Verified in revision "n_1601531_login-module-reference_version_6.4_edition_1.0_release_0-revision_6840221" of https://access.stage.redhat.com/documentation/en/red-hat-jboss-enterprise-application-platform/version-6.4/login-module-reference

Note You need to log in before you can comment on or make changes to this bug.